*{
    margin: 0;
    padding: 0;
}
body{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #ddd;
}
header{
    padding: 30px;
}
h1{
    font-size: 48px;
}

#grid{
    display: grid;
    width: 500px;
    height: 500px;
    background-color: white;
    box-shadow: 0px 0px 8px;
    margin-bottom: 20px;
}

.buttons button{
    width: 100px;
    height: 50px;
    margin: 10px;
    border: none;
    background-color: #444;
    color: white;
    font-size: 18px;
    border-radius: 7px;
}
.buttons button:hover{
    cursor: pointer;
    transform: scale(1.1);
}
#black{
    background-color: black;
}
#blue{
    background-color: blue;
}
#red{
    background-color: red;
}
#rainbow{
    background: linear-gradient(90deg, red, orange, green, blue);
}
#clear, #eraser{
    background-color: white;
    color: black;
    border: 1px solid black;
}
